## Apache Zeta Components Manual :: Docs For Class ezcWebdavLockPluginConfiguration

### Webdav::ezcWebdavLockPluginConfiguration

### Class ezcWebdavLockPluginConfiguration

Plugin configuration class for the LOCK plugin.

To activate (load) the plugin, the user must instantiate this class and submit the instance to ezcWebdavPluginRegistry::registerPlugin().

Source for this file: /Webdav/src/plugins/lock/config.php

    ezcWebdavPluginConfiguration
       |
       --ezcWebdavLockPluginConfiguration

Version: | //autogen//

### Member Variables

protected array(string=>mixed) | `$properties = array()` Properties.

### Method Summary

public void | `__construct( [ $options = null] )` Creates a new lock plugin configuration.
public array | `getHooks( )` Returns the hooks this plugin wants to assign to.
public string | `getNamespace( )` Returns the namespace of this plugin.
public void | `init( )` Initialize the plugin.

### Inherited Methods

From ezcWebdavPluginConfiguration
public abstract array | `ezcWebdavPluginConfiguration::getHooks()` Returns the hooks this plugin wants to assign to.
public abstract string | `ezcWebdavPluginConfiguration::getNamespace()` Returns the namespace of this plugin.
public void | `ezcWebdavPluginConfiguration::init()` Initialize the plugin.

### Methods

#### __construct

void __construct( [ezcWebdavLockPluginOptions $options = null] )

Creates a new lock plugin configuration.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$options` | ezcWebdavLockPluginOptions |

#### getHooks

array getHooks( )

Returns the hooks this plugin wants to assign to.

This method is called by ezcWebdavPluginRegistry, as soon as the plugin is registered to be used. The method must return a structured array, representing the hooks the plugin want to be notified about.

The returned array must be of the following structure:

1. array(
2. '<className>'=>array(
3. '<hookName>'=>array(
4. <callback1>,
5. <callback2>,
6. ),
7. '<anotherHookName>'=>array(
8. <callback3>,
9. ),
10. ),
11. '<secondClassName>'=>array(
12. '<thirdHookName>'=>array(
13. <callback1>,
14. <callback3>,
15. ),
16. ),
17. )

##### Redefinition of:

Method | Description
--- | ---
`ezcWebdavPluginConfiguration::getHooks()` | Returns the hooks this plugin wants to assign to.

#### getNamespace

string getNamespace( )

Returns the namespace of this plugin.

The namespace of a plugin is a unique identifier string that allows it to be recognized bejond other plugins. The namespace is used to provide storage for the plugin in the

##### Redefinition of:

Method | Description
--- | ---
`ezcWebdavPluginConfiguration::getNamespace()` | Returns the namespace of this plugin.

#### init

void init( )

Initialize the plugin.

This method is called after the server has be initialized to make the plugin setup necessary objects and to retreive necessary information from the server.

##### Redefinition of:

Method | Description
--- | ---
`ezcWebdavPluginConfiguration::init()` | Initialize the plugin.

Documentation generated by phpDocumentor 1.4.3